import { request } from '@/utils/request';

// 获取个人站点树
export const getSiteTree = (params) => {
  return request({
    url: `/base/site/siteTree`,
    method: 'get',
    params
  });
};

// 获取部门
export const getDepartment = (data) => {
  return request({
    url: `/base/dept/list`,
    method: 'post',
    data
  });
};
// 获取大厅
export const getHall = (data) => {
  return request({
    url: `/base/site/hall/list`,
    method: 'post',
    data
  });
};

// 获取窗口
export const getWindow = (data) => {
  return request({
    url: `/base/window/list`,
    method: 'post',
    data
  });
};
// 获取站点业务
export const getSiteBusiness = (data) => {
  return request({
    url: `/base/site/business/list`,
    method: 'post',
    data
  });
};
